package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.common.CallableElement;

/**
 * InputOutputBindings
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class InputOutputBindings extends XMLCollection {

	private static final long serialVersionUID = -99614374532217644L;

	public InputOutputBindings(CallableElement parent) {
		super(parent, "ioBindings");
	}

	public XMLElement generateNewElement() {
		return new InputOutputBinding(this);
	}

	public String getElementName() {
		return "ioBinding";
	}

	public CallableElement getParent() {
		return (CallableElement) parent;
	}

}
