package org.yaoqiang.collaboration.dialog;

import org.yaoqiang.dialog.Panel;
import org.yaoqiang.dialog.PanelFactory;

/**
 * CollaborationPanelFactory
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CollaborationPanelFactory extends PanelFactory {

	public CollaborationPanelFactory(CollaborationPanelContainer pc) {
		super(pc);
	}

	public CollaborationPanelContainer getPanelContainer() {
		return (CollaborationPanelContainer) panelContainer;
	}

	public Panel getPanel(Object obj, String type) {
		if ("addContact".equals(type)) {
			return new AddContactPanel(panelContainer);
		}

		return null;
	}

}
